Author Topic: Upgrade Toolchain 2019.2 to 2021.2: Petalinux Build Errors  (Read 146 times)

ZynqMPuser

  • Active Member
  • *
  • Posts: 1
Upgrade Toolchain 2019.2 to 2021.2: Petalinux Build Errors
« on: November 03, 2022, 02:00:49 PM »
Hi,
I was using the TE0808 ZynqMP on the TEBF0808 Carrier for quite some time with the 2019 toolchain and the Petalinux-Workflow worked fine with various changes in the device trees etc. The system is running with FPGAcode, a RPU baremetal application and an APU Petalinux.
Now I set up the 2021.2 toolchain according to your Petalinux KICKstart and tried to port my project.
That included:
- set up the new FPGA .xsa design in Vivado 2021.2
- set up the complete 2021.2 Petalinux toolchain in my VMware
- do the same changes (as available since there are some changes) in the various petalinux-config menues
- I DID NOT download all the sstate_cache and downloads but i thought it also works directly online; or is it specifically needed to download and include all these files?

But in the last step "petalinux-build", I always end up with the same error that seems to be in the u-boot part.

ERROR: u-boot-xlnx-v2021.01-xilinx-v2021.2+gitAUTOINC+63b6d260db-r0 do_compile: oe_runmake failed
ERROR: u-boot-xlnx-v2021.01-xilinx-v2021.2+gitAUTOINC+63b6d260db-r0 do_compile: Execution of '/"projectpath"/build/tmp/work/zynqmp_generic-xilinx-linux/u-boot-xlnx/v2021.01-xilinx-v2021.2+gitAUTOINC+63b6d260db-r0/temp/run.do_compile.8977' failed with exit code 1
...
ERROR: Task (/"projectpath"/components/yocto/layers/meta-xilinx/meta-xilinx-bsp/recipes-bsp/u-boot/u-boot-xlnx_2021.2.bb:do_compile) failed with exit code '1'


Due you have any clue where/how to tackle these error messages?
I didn't expect too many problems in just porting to a newer version :(


Thanks a lot in advance,
Alex

JH

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1969
Re: Upgrade Toolchain 2019.2 to 2021.2: Petalinux Build Errors
« Reply #1 on: November 04, 2022, 08:46:33 AM »
Hi,
can you try out our 21.2 template with our prebuilt xsa files, this should works:
https://wiki.trenz-electronic.de/display/PD/TE0808+StarterKit
Template project is in:
https://wiki.trenz-electronic.de/display/PD/TE0808+StarterKit#TE0808StarterKit-DesignSources
copy xsa from prebuilt folder to the petalinux folder and start with point 3 "petalinux-config --get-hw-description"
https://wiki.trenz-electronic.de/display/PD/PetaLinux+KICKstart#PetaLinuxKICKstart-CreatingaProjectfromVivadoProject

in case this doesn't work, check your build environment.
https://wiki.trenz-electronic.de/display/PD/PetaLinux+KICKstart#PetaLinuxKICKstart-PetaLinuxInstallation

I use Ubuntu 20.4 on WSL which was working fine.
br
John